// Указываем имя Java-пакета, где располагается константа Locale.US
import java.util.Locale;

/**
  * Пример 2 - Вывод на консоль содержимого переменной.
  * @author Vladimir V Chukin (chukin@rshu.ru)
  * @version 2009-03-05
  */

public class PrintData {

 public static void main(String[] args) {

  // Создаем переменную вещественного типа двойной точности (10 байт)
  double a;
  
  // Присваиваем переменной значение
  a = 100.7;
  
  /* Выводим на консоль текст " a = " и содержимое переменной "a"
     Вывод содержимого вещественной переменной осуществляется
     с помощью указания спецификатора %f
     Для указания количества отображаемых знаков после запятой,
     в частности, одного знака, указывается %.1f
     Использование этой константы Locale.US приводит к тому,
     что при печати на консоле вещественных чисел, целая и дробная
     части разделяются символом точка, а не запятая
  */
  System.out.printf(Locale.US, " a = %.1f\n", a);

 }

}
